aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-class-trigger/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2012-01-02 08:28:52 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2012-01-02 08:28:52 +0000
commit330a49e1c7a5b4cf3014a546d92594280f0626c2 (patch)
tree1c1b3282e5cd8e2be55ab8c7dc0b3d3db805108d /testing/perl-class-trigger/APKBUILD
parenteb275884ad7ab102a4014d6d45d1a7eac646bbba (diff)
downloadaports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.gz
aports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.bz2
aports-330a49e1c7a5b4cf3014a546d92594280f0626c2.tar.xz
testing/perl-algorithm-diff: new apkbuild
Diffstat (limited to 'testing/perl-class-trigger/APKBUILD')
-rw-r--r--testing/perl-class-trigger/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-class-trigger/APKBUILD b/testing/perl-class-trigger/APKBUILD
new file mode 100644
index 0000000000..62be08b3c3
--- /dev/null
+++ b/testing/perl-class-trigger/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-class-trigger
+_pkgreal=Class-Trigger
+pkgver=0.14
+pkgrel=0
+pkgdesc="Mixin to add / call inheritable triggers"
+url="http://search.cpan.org/dist/Class-Trigger/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-io-stringy"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="b0a95ebe359a3c4e768d81fc58031c83 Class-Trigger-0.14.tar.gz"